Jump to content
Search In
  • More options...
Find results that contain...
Find results in...
Average

ChocoDoom Demo Playback Other Than 1.9

Recommended Posts

Just curious about the potential for the future support of demo playback for other versions of Doom other than just 1.9.

The reason I ask is because I was just trying out Wraith's Hell To Pay but ChocoDoom crashed as the demos for the WAD are for 1.6.

Share this post


Link to post

PrBoom+ ought to be your go-to port for demo playback.

Share this post


Link to post

It normally is. I just thought it would be useful if Choco could support other iterations of Doom too, that's all.

Anyway, Hell to Pay doesn't seem to work under ChocoDoom at all. Isn't that wad vanilla? I always thought it was...

Share this post


Link to post

How are you trying to play? You're supposed to use the -merge command, not the -file command, since it's packaged for deusf merging.

Share this post


Link to post

Version 1.666 is, from what is known, identical to 1.9 except for the version number in respect to demo synch. (For PWADs, that is. The version difference is relevant for IWAD level demos, as some of the maps were modified.) If you extract the lumps in Hell to Pay, edit their version to 1.9 and slap them back in or load them with the command line, those demos will play back properly.

Maybe you could request an option in the Chocolate CFG that lets it read any demo for version 1.666 or newer without exiting with the error message, possibly warning somehow that the demo is of an earlier version, just so the user knows.

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×